SIGWAIT(3)

NAME
sigwait - select a set of signals

LIBRARY
libc_r

SYNOPSIS
#include <signal.h>
int
sigwait(const sigset_t *set, int *sig);

DESCRIPTION
The sigwait() function selects a set of signals, specified by set. If none of the selected signals are pending, sigwait() waits until one or more of the selected signals has been generated. Then sigwait() atomically clears one of the selected signals from the set of pending signals for the process and sets the location pointed to by sig to the signal number that was cleared.

The signals specified by set should be blocked at the time of the call to sigwait().

RETURN VALUES
If successful, sigwait() returns 0 and sets the location pointed to by sig to the cleared signal number. Otherwise, an error number is returned.

ERRORS
sigwait() will fail if:

[EINVAL]
    set specifies one or more invalid signal numbers.

SEE ALSO
sigaction(2), sigpending(2), sigsuspend(2), pause(3), pthread_sigmask(3)

STANDARDS
sigwait() conforms to iso9945-1